version: '3.7'

services:

  # watchdog:
  #   build:
  #     context: ./watchdog
  #     dockerfile: Dockerfile
  #     target: runtime
  #   environment:
  #     REDIS_MASTER: ""
  #     REDIS_SLAVES: "redis-slave"
  #     PEERS_HOSTS: "watchdog"
  #     REDIS_PASS: "dummy"
  #     DEBUG_MODE: "true"
  #   volumes:
  #     - "./watchdog:/application"
  #   deploy:
  #     mode: replicated
  #     replicas: 3

  redis-slave:
    build:
      context: ./redis
      dockerfile: Dockerfile
      target: runtime
    environment:
      REDIS_FORCE_EPOLL: "true"
      REDIS_PASS: "dummy"
      REDIS_MIN_REPLICAS_TO_WRITE: "0"
    deploy:
      mode: replicated
      replicas: 2

  redis:
    build:
      context: ./haproxy
      dockerfile: Dockerfile
      target: runtime
    environment:
      REDIS_HOSTS: "redis-slave"
      REDIS_PASS: "dummy"
      HAPROXY_DISABLE_MASTER_CHECK: "true"
    ports:
      - "6379:6379"
